Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1605492 - postbooks: FTBFS in Fedora rawhide
Summary: postbooks: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: postbooks
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1584833 (view as bug list)
Depends On:
Blocks: qt511 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 15:40 UTC by Mohan Boddu
Modified: 2019-11-27 19:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:26:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 15:40 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 15:40 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 15:40 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 15:40:09 UTC
postbooks failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28219179


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix postbooks at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
postbooks will be orphaned. Before branching of Fedora 30,
postbooks will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 15:40:19 UTC
Created attachment 1465659 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 15:40:24 UTC
Created attachment 1465660 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 15:40:27 UTC
Created attachment 1465661 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:14:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Rex Dieter 2018-08-23 19:45:17 UTC
*** Bug 1584833 has been marked as a duplicate of this bug. ***

Comment 6 Rex Dieter 2018-08-23 19:51:15 UTC
*Appears* to be fixed in upstream 5_12 branch, which unfortunately has no formal release(s) yet.  I'm trying a backport of some commits to see if we can get *something* to build at least in the meantime.

Comment 7 Rex Dieter 2018-08-23 19:59:56 UTC
I think this should do it

%changelog
* Thu Aug 23 2018 Rex Dieter <rdieter> - 4.10.1-22
- backport upstream commit for Qt-5.11 fixes (#1605492)
- use -fpermissive for FTBFS (#1605492)
- use %%make_build %%ldconfig_scriptlets

Comment 8 Rex Dieter 2018-09-02 03:43:47 UTC
So, some problems remained (32 bit archs FTBFS).  So I checked upstream for recent version and it appears to be much better.

I submitted 2 pull requests, 

https://src.fedoraproject.org/rpms/xtuple-csvimp/pull-request/1
an updated build requirement.

https://src.fedoraproject.org/rpms/postbooks/pull-request/1
postbooks-4.11.3 (#1268170)
postbooks FTBFS (#1605492)
use %_metainfodir
install icons following freedesktop.org icon-spec

Put these test updated builds in copr,
https://copr.fedorainfracloud.org/coprs/rdieter/postbooks/

Comment 9 Rex Dieter 2018-09-02 13:27:03 UTC
Arg, i686 builds are (still) failing with

BUILDSTDERR: moc/moc_creditcardprocessor.cpp: In static member function 'static void CreditCardProcessor::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)':
BUILDSTDERR: moc/moc_creditcardprocessor.cpp:177:85: error: no matching function for call to 'CreditCardProcessor::sslErrors(const QList<QSslError>&)'
BUILDSTDERR:          case 0: _t->sslErrors((*reinterpret_cast< const QList<QSslError>(*)>(_a[1]))); break;
BUILDSTDERR:                                                                                      ^
BUILDSTDERR: In file included from moc/moc_creditcardprocessor.cpp:9:
BUILDSTDERR: moc/../creditcardprocessor.h:143:12: note: candidate: 'void CreditCardProcessor::sslErrors(QNetworkReply*, const QList<QSslError>&)'
BUILDSTDERR:        void sslErrors(QNetworkReply *reply, const QList<QSslError> &errors);
BUILDSTDERR:             ^~~~~~~~~
BUILDSTDERR: moc/../creditcardprocessor.h:143:12: note:   candidate expects 2 arguments, 1 provided
BUILDSTDERR: make[1]: *** [Makefile:75986: tmp/obj/moc_creditcardprocessor.o] Error 1

I'm trying to report this upstream, but ... there seems no obvious way to do this outside of running the application itself, at least per
https://github.com/xtuple/qt-client/wiki/Bug-and-Feature-Request-Creation-%E2%80%94-The-Desktop

(and the application doesn't 'just work' out of the box, requires at least a database be created... I think)

Comment 10 Rex Dieter 2018-09-02 13:34:18 UTC
OK, this looks promsing:

https://www.xtuple.org/issue-tracker

created a login there (pending approval)

Comment 11 Ben Cotton 2019-10-31 20:43:03 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-11-27 19:26:10 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.